Subject: Re: bug#20663: page.el (forward-page): Avoid skipping pages

From: Marcin Borkowski <[email-masked]>
Date: Sat, 09 Apr 2016 20:16:47 +0200

On 2016-04-09, at 12:00, Eli Zaretskii <[email-masked]> wrote:

>> From: Marcin Borkowski <[email-masked]>
>> Date: Sat, 09 Apr 2016 12:13:11 +0200
>> Cc: [email-masked]
>> 
>> On 2015-05-26, at 19:14, Pierre Neidhardt <[email-masked]> wrote:
>> 
>> > When `page-delimiter` starts at the beginning of the line and the position is
>> > also at the beginning of the line, calling `forward-page` will skip one page.
>> >
>> > Running `emacs -Q example.txt`:
>> >
>> > 	M-<
>> > 	C-x n p
>> > 	M->
>> > 	M-1 C-x n p
>> >
>> > This should bring us from page 1 to page 2, but page 3 gets displayed instead.
>> >
>> > The attached patch fixes it by changing the code to actually match its
>> > surrounding comments.
>> 
>> Hi Emacs devs,
>> 
>> could someone take a look at the proposed patch?  It is not installed as
>> of GNU Emacs 25.1.50.8 (commit 1e8cd05), and I don't feel competent
>> enough to be sure it does not have any adverse side effects.
>
> Maybe I'm missing something, but I don't see the connection between
> the description of the bug, the recipe, and the patch.
>
> The description talks about calling forward-page, but the recipe
> doesn't call it.  The patch compares page-delimiter with an empty
> string, but the default value of page-delimiter is not empty.
>
> So I'm mightily confused by this.  Hopefully, someone will show me
> what I'm missing.

Well, I quickly glanced over the patch and decided that even if it
worked for me, I wouldn't be sure whether it doesn't break something
else.  Since you claim it rather won't work, I'm now tempted to look at
this issue more closely.  Hopefully I'll be able to come up with
a better patch in a few days.

Best,

-- 
Marcin Borkowski
http://octd.wmi.amu.edu.pl/en/Marcin_Borkowski
Faculty of Mathematics and Computer Science
Adam Mickiewicz University